Subject: libc

From: Ralf Baechle <[email-masked]>
Date: Wed, 3 Dec 1997 12:42:32 +0100

Hi all,

it turned out that the libc bugs I was still observing were produced
due to the libc install process failing in a subtile way.  So the
sources are ok.  Now that this problem is gone the RPM factory has
been restarted.

Be careful: I still observe occasional disk corruption.  Fsck is your
friend :-(  I suspect the console driver is the cause as it also has
some other misterious "properties".  For some reason the system's
performance is extremly bad.  Crosscompiling libc on IRIX takes about
90 minutes using a R4600/133Mhz.  Using a R5000 under Linux takes more
than four times as much.  Again I suspect the console driver as the
cause.

Since the load address for the program interpreter is no longer fixed
in the kernel also directly calling ld.so like during the libc build or
in ldd fails.  Easy to fix.

  Ralf